Debian Bug report logs - #494816
aptitude: users must enter "Yes" message in each localized words and more, when they are warned to use unofficial repositories

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Hideki Yamane <henrich@debian.or.jp>

Date: Tue, 12 Aug 2008 13:18:01 UTC

Severity: important

Tags: l10n, patch

Found in versions aptitude/0.4.11.2-1, aptitude/0.4.11.9-1

Fixed in version aptitude/0.4.11.10-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#494816; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: submit@bugs.debian.org
Cc: debian-i18n@lists.debian.org
Subject: aptitude: users must enter "Yes" message in each localized words and more, when they are warned to use unofficial repositories
Date: Tue, 12 Aug 2008 22:14:24 +0900
[Message part 1 (text/plain, inline)]
Package: aptitude
Version: 0.4.11.9-1
Severity: important
tags: l10n

Hi aptitude maintainer (and i18n mailing list),

 I'll report about aptitude i18n bug.

 * aptitude users should enter localized "YES" message when they will
   use unofficial repositories if they didn't import GPG keys for that.


 When we use unofficial but useful repositories (for example, backports.org,
 debian-mutimedia.org or so), we should import gpg keys before install
 packages from them.

 But we -users- sometimes forgot (or don't understand?) that, and get a
 warning from aptitude such as (under LANG=C)

> WARNING: untrusted versions of the following packages will be installed!
>
> Untrusted packages could compromise your system's security.
> You should only proceed with the installation if you are certain that
> this is what you want to do.
>
>   ttf-umefont ttf-ipafont ttf-togoshi-gothic
>
> Do you want to ignore this warning and proceed anyway?
> To continue, enter "Yes"; to abort, enter "No":


 And this message is also localized, so it would be different in each locales.
 Great. Thanks for translators :-)

 But we MUST enter replies "Yes" message in each locales in this situation...
 For example, in Japanese (ja_JP.UTF-8 or so), when aptitude warns, such as

> 警告: 以下のパッケージは信頼できないバージョンがインストールされます!
>
> 信頼できないパッケージはシステムのセキュリティを危うくする可能性があります。
> 自分がこのインストールを望んでいると確信できる場合のみ、インストールを先に進め
> てください。
>
>   ttf-umefont ttf-ipafont ttf-togoshi-gothic
>
> この警告を無視して意地でも先に進みますか?

 (can you see this with Japanese font? if not, see attached png file,
  named screenshot_aptitude-localized-warning01.png).

 then we will enter just "Y" or "Yes", but aptitude don't recognize this
 as "YES" message from user, see reply from aptitude messsage

> 先に進む場合は "はい (Y)" を、中断する場合は "いいえ (N)" を、入力してください:Y
> 入力を認識できません。"はい (Y)" か "いいえ (N)" を入力してください。
> この警告を無視して意地でも先に進みますか?
> 先に進む場合は "はい (Y)" を、中断する場合は "いいえ (N)" を、入力してください:

 loop.

 Then, how can we continue? ...we should enter localized YES message,
 such as ' "はい (Y)" ' (Japanese YES message) by copy&paste, '(' and ')'
 are also needed to do. Umm.
 See attached screenshot_aptitude-localized-continue01.png file.


 This confuses non-English users, they want to continue by entering just
 "Yes", but they can't do that. So could you try to give us any fix or
 workaround for this issue by default? Needs help.

 (and many users don't know LANG=C as workaround... now ;)


--
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane
[screenshot_aptitude-localized-continue01.png (image/png, attachment)]
[screenshot_aptitude-localized-warning01.png (image/png, attachment)]
[Message part 4 (application/pgp-signature, inline)]

Information stored:
Bug#494816; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 494816-quiet@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: debian-i18n@lists.debian.org
Cc: 494816-quiet@bugs.debian.org
Subject: aptitude: users must enter "Yes" message in each localized words and more, when they are warned to use unofficial repositories
Date: Wed, 13 Aug 2008 10:52:01 +0900
Hi aptitude maintainer (and i18n mailing list),

 (I've filed this bug and CCed to mailing list, but mail has not come to
  list, so post again to list).


 I'll report about aptitude i18n bug.

 * aptitude users should enter localized "YES" message when they will
   use unofficial repositories if they didn't import GPG keys for that.


 When we use unofficial but useful repositories (for example, backports.org,
 debian-mutimedia.org or so), we should import gpg keys before install
 packages from them.

 But we -users- sometimes forgot (or don't understand?) that, and get a
 warning from aptitude such as (under LANG=C)

> WARNING: untrusted versions of the following packages will be installed!
>
> Untrusted packages could compromise your system's security.
> You should only proceed with the installation if you are certain that
> this is what you want to do.
>
>   ttf-umefont ttf-ipafont ttf-togoshi-gothic
>
> Do you want to ignore this warning and proceed anyway?
> To continue, enter "Yes"; to abort, enter "No":


 And this message is also localized, so it would be different in each locales.
 Great. Thanks for translators :-)

 But we MUST enter replies "Yes" message in each locales in this situation...
 For example, in Japanese (ja_JP.UTF-8 or so), when aptitude warns, such as

> 警告: 以下のパッケージは信頼できないバージョンがインストールされます!
>
> 信頼できないパッケージはシステムのセキュリティを危うくする可能性があります。
> 自分がこのインストールを望んでいると確信できる場合のみ、インストールを先に進め
> てください。
>
>   ttf-umefont ttf-ipafont ttf-togoshi-gothic
>
> この警告を無視して意地でも先に進みますか?

 (can you see this with Japanese font? if not, see 
  http://wiki.debian.org/L10n/Japanese?action=AttachFile&do=get&target=screenshot_aptitude-localized-warning01.png).

 then we will enter just "Y" or "Yes", but aptitude don't recognize this
 as "YES" message from user, see reply from aptitude messsage

> 先に進む場合は "はい (Y)" を、中断する場合は "いいえ (N)" を、入力してください:Y
> 入力を認識できません。"はい (Y)" か "いいえ (N)" を入力してください。
> この警告を無視して意地でも先に進みますか?
> 先に進む場合は "はい (Y)" を、中断する場合は "いいえ (N)" を、入力してください:

 loop.

 Then, how can we continue? ...we should enter localized YES message,
 such as ' "はい (Y)" ' (Japanese YES message) by copy&paste, '(' and ')'
 are also needed to do. Umm.
 See http://wiki.debian.org/L10n/Japanese?action=AttachFile&do=get&target=screenshot_aptitude-localized-continue01.png


 This confuses non-English users, they want to continue by entering just
 "Yes", but they can't do that. So could you try to give us any fix or
 workaround for this issue by default? Needs help.

 (and many users don't know LANG=C as workaround... now ;)


--
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane





Merged 475802 494816. Request was from Kenshi Muto <kmuto@debian.org> to control@bugs.debian.org. (Fri, 15 Aug 2008 02:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#494816; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Kenshi Muto <kmuto@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #17 received at 494816@bugs.debian.org (full text, mbox):

From: Kenshi Muto <kmuto@debian.org>
To: 494816@bugs.debian.org, 494816-submitters@bugs.debian.org
Subject: Re: aptitude: users must enter "Yes" message in each localized words and more, when they are warned to use unofficial repositories
Date: Fri, 15 Aug 2008 11:29:18 +0900
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

It seems likely a translation issue, but we can avoid it by modifying
the code as Deng suggested at #475802.

I made two patches.

- - cmdline_prompt.patch
  This patch lets aptitude allows Y*/y*/N*/n* also for Yes/No prompt
  in addition to the translated Yes/No.
  I think this is better patch than later one.
  One problem I can imagine is that this check may go to failure
  if local language means "Y*" for No or "N*" for Yes, but it will be
  very rare and I didn't see it in current po files.

- - japo-yesno.patch
  This patch reverts Yes/No translation of Japanese po file.
  If you Daniel won't touch the code, please apply this one.
  (But you'll lose a chance to close #475802 :) )

So could you consider to apply one of patches, Daniel?

Because this bug #494816 hurts many Japanese users who try to use
pretty aptitude, I ask you to upload the fixed version to t-p-u.

Thanks,
- --- 
Kenshi Muto
kmuto@debian.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.8+ <http://mailcrypt.sourceforge.net/>

iEYEARECAAYFAkik6dwACgkQQKW+7XLQPLFPaQCfWLJLwXyaVvwyHutPtKZQFM7C
cuoAmwWC/E9WmdrspwjBAGOrQLxdbvCA
=+I3d
-----END PGP SIGNATURE-----
[cmdline_prompt.patch (application/octet-stream, attachment)]
[japo-yesno.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#494816; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to "Noritada Kobayashi" <noritadak@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #22 received at 494816@bugs.debian.org (full text, mbox):

From: "Noritada Kobayashi" <noritadak@gmail.com>
To: 494816@bugs.debian.org, 494816-submitters@bugs.debian.org, 475802@bugs.debian.org, 475802-submitters@bugs.debian.org
Subject: Comments on the Yes/No-translation issue from aptitude's Japanese translator
Date: Fri, 15 Aug 2008 16:02:03 +0900
Hi,

[#475802]
Deng Xiyue wrote:
> For Chinese user, "Yes" will be translated to "是", which will be used
> for the is_ok comparison.  Meanwhile, "是" will not be able to input
> when input method is unavailable, which in turn isn't installed by
> default install settings.

Yeah, it's true for Japanese users.  "Yes" and "No" are respectively
"はい" (hai) and "いいえ" (iie) in Japanese.  Since they can be input
only via input methods, however, softwares usually provide a prompt
like "Yes/No" or "Y/N" to us.  Forcing users to input "はい" is not a
good idea.

> This is quite a dilemma for users using non-en_US based locales,
> especially CJK-based locales.  I'd propose such usage to be changed to
> a letter-based comparison, as Y for Yes and N for No or something like
> that.

I think this solution is a little bit extreme, since there are many
non-English locales and they cannot be considered in one group.  Take
a look at German for example.  Since "Yes" and "No" are "Ja" and
"Nein" in German, people are familiar with J/N prompts instead of Y/N
prompts.  Forcing users to input "Ja" does not have a problem.
Although I don't know about other Western cultures well, I think most
of Western languages, like German, does not have any issues since they
are composed of alphabets.

[#494816]
Hideki Yamane wrote;
>  Then, how can we continue? ...we should enter localized YES message,
>  such as ' "はい (Y)" ' (Japanese YES message) by copy&paste, '(' and ')'
>  are also needed to do. Umm.
>  See attached screenshot_aptitude-localized-continue01.png file.

Translating "Yes" and "No" to "はい (Y)" and "いいえ (N)" is an idea
from Ubuntu's aptitude package.  These are good for Y/N dialog strings
indeed, but have a by-product when used as a command line prompt as
you have shown, sigh...

>  This confuses non-English users, they want to continue by entering just
>  "Yes", but they can't do that. So could you try to give us any fix or
>  workaround for this issue by default? Needs help.

Not all "non-English users" as I described above.

Kenshi Muto wrote:
> I made two patches.
>
> - - cmdline_prompt.patch
>   This patch lets aptitude allows Y*/y*/N*/n* also for Yes/No prompt
>   in addition to the translated Yes/No.
>   I think this is better patch than later one.
>   One problem I can imagine is that this check may go to failure
>   if local language means "Y*" for No or "N*" for Yes, but it will be
>   very rare and I didn't see it in current po files.

It seems to be a little bit confusing that users can go ahead by
inputting "Y" although aptitude asks users to input "はい (Y)".  Also,
aptitude wants to make confirmation here by forcing users to input
some longer strings instead of forcing to press just one key.  So, I
consider the latter to be a better workaround.

> - - japo-yesno.patch
>   This patch reverts Yes/No translation of Japanese po file.
>   If you Daniel won't touch the code, please apply this one.
>   (But you'll lose a chance to close #475802 :) )

Since it's frozen for lenny now, I prefer this "translation
workaround" (Actually, we had resolved similar Y/N prompt issue
(#401598) by changing translations likewise under the freeze for
etch...).  "Yes" and "No" can be left untranslated as most of Japanese
can understand what they mean.


This issue is a little bit complex since "Yes" and "No" messages are
used in two ways: as dialog messages on cwidget side and as
confirmation messages on aptitude side.  Since dialogs work good, I
propose a solution to add another string for confirmation input and
allot one role to one message like this:

- _("Yes"), _("No"): strings displayed on dialogs (coded on cwidget
  side).  _("yes_key") and _("no_key") coded on aptitude side are also
  used for keyboard operations.  CJK translators can translate "Yes"
  and "No" to messages with their CJK characters and specify "y" and
  "n" to keyboard operations.

- _("YES"), _("NO"): string for confirmation (coded on aptitude side).
  CJK translators may well have to make these translations only have
  ASCII characters so that users can input these messages correctly
  without input methods.

However, it's a post-lenny solution, IMHO.

Many thanks,

-nori

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#494816; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to "Noritada Kobayashi" <noritadak@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #27 received at 494816@bugs.debian.org (full text, mbox):

From: "Noritada Kobayashi" <noritadak@gmail.com>
To: 494816@bugs.debian.org, 494816-submitter@bugs.debian.org, aptitude@packages.debian.org
Cc: control@bugs.debian.org
Subject: Patch to fix the Yes/No confirmation messages issue in ja.po
Date: Sun, 31 Aug 2008 19:13:51 +0900
[Message part 1 (text/plain, inline)]
unmerge 494816
tags 494816 + patch
thanks

Hi,

This is a patch to fix ja.po in the second way that Kenshi Muto
suggested.  #475802 should be separately fixed (in lenny+1) and I'll
provide a trial patch separately.  Could you please find and apply the
attachment?

Thanks,

-nori
[fix-ja-confirmation-1622-a53c4170d9e8.patch (text/x-patch, attachment)]

Disconnected #494816 from all other report(s). Request was from "Noritada Kobayashi" <noritadak@gmail.com> to control@bugs.debian.org. (Sun, 31 Aug 2008 10:21:10 GMT) Full text and rfc822 format available.

Tags added: patch Request was from "Noritada Kobayashi" <noritadak@gmail.com> to control@bugs.debian.org. (Sun, 31 Aug 2008 10:21:14 GMT) Full text and rfc822 format available.

Message sent on to Hideki Yamane <henrich@debian.or.jp>:
Bug#494816. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#494816; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #39 received at 494816@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Noritada Kobayashi <noritadak@gmail.com>, 494816@bugs.debian.org
Subject: Re: Bug#494816: Patch to fix the Yes/No confirmation messages issue in ja.po
Date: Sun, 31 Aug 2008 16:53:55 -0700
On Sun, Aug 31, 2008 at 07:13:51PM +0900, Noritada Kobayashi <noritadak@gmail.com> was heard to say:
> This is a patch to fix ja.po in the second way that Kenshi Muto
> suggested.  #475802 should be separately fixed (in lenny+1) and I'll
> provide a trial patch separately.  Could you please find and apply the
> attachment?

  I noticed that you also found the Essential prompt.  Thanks.  Sadly,
there's a second version of the string in src/cmdline/cmdline_prompt.cc:

      string prompt=_("I am aware that this is a very bad idea");

  Would it be OK if I just used the same translation here as for the
other Essential prompt string? (probably the prompts should be the same
anyway)

  Also, I was curious: would it make sense to use a transliteration for
"Yes" and "No" like you did for the Essential prompt?  (i.e., "hai" and
whatever "no" translates to)

    Thanks,
  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#494816; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #44 received at 494816@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Noritada Kobayashi <noritadak@gmail.com>, 494816@bugs.debian.org
Cc: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Rex Tsai <chihchun@linux.org.tw>
Subject: Re: Bug#494816: Patch to fix the Yes/No confirmation messages issue in ja.po
Date: Sun, 31 Aug 2008 17:02:57 -0700
On Sun, Aug 31, 2008 at 07:13:51PM +0900, Noritada Kobayashi <noritadak@gmail.com> was heard to say:
> unmerge 494816
> tags 494816 + patch
> thanks
> 
> Hi,
> 
> This is a patch to fix ja.po in the second way that Kenshi Muto
> suggested.  #475802 should be separately fixed (in lenny+1) and I'll
> provide a trial patch separately.  Could you please find and apply the
> attachment?

  I've applied this patch to the "head" branch as-is.  We might want to
make a few more changes, as I noted in my last mail.  Also, what's the
situation for other languages?  I guess that at least Chinese suffers
from this problem; I'll Cc the most recent Chinese translators for
aptitude.  What about other non-ASCII locales?  Korean?  Thai?  Khmer?
I have no clue.

  Would it make sense to always recognize "Yes" (untranslated) as a
fallback?  This is a little ugly (since it's not advertised that "yes"
is available), but it would at least let users proceed if they're in
this situation.  I think this was suggested in one of the earlier mails
in this thread.

  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#494816; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Deng Xiyue <manphiz-guest@users.alioth.debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #49 received at 494816@bugs.debian.org (full text, mbox):

From: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
To: Daniel Burrows <dburrows@debian.org>
Cc: Noritada Kobayashi <noritadak@gmail.com>, 494816@bugs.debian.org, Rex Tsai <chihchun@linux.org.tw>
Subject: Re: Bug#494816: Patch to fix the Yes/No confirmation messages issue in ja.po
Date: Tue, 02 Sep 2008 21:09:55 +0800
在 2008-08-31日的 17:02 -0700,Daniel Burrows写道:
> On Sun, Aug 31, 2008 at 07:13:51PM +0900, Noritada Kobayashi <noritadak@gmail.com> was heard to say:
> > unmerge 494816
> > tags 494816 + patch
> > thanks
> > 
> > Hi,
> > 
> > This is a patch to fix ja.po in the second way that Kenshi Muto
> > suggested.  #475802 should be separately fixed (in lenny+1) and I'll
> > provide a trial patch separately.  Could you please find and apply the
> > attachment?
> 
>   I've applied this patch to the "head" branch as-is.  We might want to
> make a few more changes, as I noted in my last mail.  Also, what's the
> situation for other languages?  I guess that at least Chinese suffers
> from this problem; I'll Cc the most recent Chinese translators for
> aptitude.  What about other non-ASCII locales?  Korean?  Thai?  Khmer?
> I have no clue.
> 
>   Would it make sense to always recognize "Yes" (untranslated) as a
> fallback?  This is a little ugly (since it's not advertised that "yes"
> is available), but it would at least let users proceed if they're in
> this situation.  I think this was suggested in one of the earlier mails
> in this thread.
> 

IMHO, such a fallback is really beneficial for usability, while allow
users to use translated strings as well.

As for the ugliness, I think appending a "(Yes)", "(No)", "(Yes, I am
aware that this is a very bad idea)" to the original string without
exposing them to .po files makes them explicit, and hence less ugly.

>   Daniel
-- 
Regards,
Deng Xiyue, a.k.a. manphiz






Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hideki Yamane <henrich@debian.or.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #54 received at 494816-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 494816-close@bugs.debian.org
Subject: Bug#494816: fixed in aptitude 0.4.11.10-1
Date: Sun, 14 Sep 2008 21:02:08 +0000
Source: aptitude
Source-Version: 0.4.11.10-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.4.11.10-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.4.11.10-1_i386.deb
aptitude-doc-cs_0.4.11.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.11.10-1_all.deb
aptitude-doc-en_0.4.11.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.11.10-1_all.deb
aptitude-doc-fi_0.4.11.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.11.10-1_all.deb
aptitude-doc-fr_0.4.11.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.11.10-1_all.deb
aptitude-doc-ja_0.4.11.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.4.11.10-1_all.deb
aptitude_0.4.11.10-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.11.10-1.diff.gz
aptitude_0.4.11.10-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.11.10-1.dsc
aptitude_0.4.11.10-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.11.10-1_i386.deb
aptitude_0.4.11.10.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.11.10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 494816@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 05 Sep 2008 22:03:07 -0700
Source: aptitude
Binary: aptitude aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source all i386
Version: 0.4.11.10-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 471347 483464 494816 496504 496613 496719 496726 496729 496732 497287 497333 497336 497340 497374 497550 497726 497965 497969
Changes: 
 aptitude (0.4.11.10-1) unstable; urgency=low
 .
   * New upstream release.
 .
     - Never remove an essential package from the curses UI without
       asking the user first.
 .
     - Fix displaying the section description in non-UTF-8 locales.
       (Closes: #483464)
 .
     - Many improvements to the documentation suggested by "jidanni".
       (Closes: #497374, #497340, #496726, #471347, #496719, #496729,
                #496732, #497333, #497336, #497726, #497969)
 .
     - Translation updates:
       + Brazilian Portuguese (Closes: #496613)
       + Czech (Closes: #497287)
       + Dutch (Closes: #497965)
       + Kurdish
       + Japanese (Closes: #494816)
       + Lithuanian (Closes: #496504)
       + Norwegian Bokmål
       + Simplified Chinese (Closes: #497550)
       + Ukranian
Checksums-Sha1: 
 3af6f35970a731eb6672ca144ed1624ba1e0f22f 1406 aptitude_0.4.11.10-1.dsc
 31d01a362bb49dd11f1ea6734bc361325195c4fb 6204103 aptitude_0.4.11.10.orig.tar.gz
 c0fff82a85b26a0fdbe628f05bed4396b381bf74 35554 aptitude_0.4.11.10-1.diff.gz
 df3e3fb5ef5fcda7ed4a4ab1878db86413eb57c0 379386 aptitude-doc-cs_0.4.11.10-1_all.deb
 6681439664e46c0f9c113ccdf7da21e87e4c3293 363408 aptitude-doc-en_0.4.11.10-1_all.deb
 1e7d4d2e3b4b8c87220f08537987ff5b002d9625 271250 aptitude-doc-fi_0.4.11.10-1_all.deb
 1ace36d2ab596c6092282aa2ee5b413d3d005230 311768 aptitude-doc-fr_0.4.11.10-1_all.deb
 2d612fb4fa9b6223f1a691210565c0391dd5f4bf 374182 aptitude-doc-ja_0.4.11.10-1_all.deb
 a20316f1133dab22006b12889386f2208727c340 2986100 aptitude_0.4.11.10-1_i386.deb
 27098c7116b2d44dcdb945b682fe9962cf1aeece 5910692 aptitude-dbg_0.4.11.10-1_i386.deb
Checksums-Sha256: 
 fd216d5d3f13c8a0e9ff80691185b11a1312530b13ec0f5bfb98151ef96d5c44 1406 aptitude_0.4.11.10-1.dsc
 bade6e736b78c0d416d5a2598ae8b7695167e28a7d3672d4d656cec9359afcc2 6204103 aptitude_0.4.11.10.orig.tar.gz
 6e0859c4c2af8c829847507708d6de22de114f8fb00186036992c1e2e4a91d29 35554 aptitude_0.4.11.10-1.diff.gz
 a8bee4f4f1262330335236b8399a8d82ec709c39addc02dbc342ce5f8b66254d 379386 aptitude-doc-cs_0.4.11.10-1_all.deb
 6f3d4a934555705edcd23acfb6d27f3f2656a13a3dc60ed10a3a3f2df9360901 363408 aptitude-doc-en_0.4.11.10-1_all.deb
 3e81c366efa9ae84f40eda97eba1554570c590991c798ad3529cde2d4120221a 271250 aptitude-doc-fi_0.4.11.10-1_all.deb
 bd42802bc4f02e88b276a2f72d6f3ce18f4cfc2b7733fb924c9f4ce2c80f43dc 311768 aptitude-doc-fr_0.4.11.10-1_all.deb
 e1f3509d46af590f62fe70be4ae6054438aae11ab4bb4c1a777916730c618baf 374182 aptitude-doc-ja_0.4.11.10-1_all.deb
 b8f2b885fdfd509d827cdd623cba0651bb7d9b0a768a01a4e21576f43941eb1b 2986100 aptitude_0.4.11.10-1_i386.deb
 546f46f140baff9e30631d080a9425fe8593ead2399ad83a880b5b10a04eea8f 5910692 aptitude-dbg_0.4.11.10-1_i386.deb
Files: 
 940b3da59d51b7be302787d1559422ee 1406 admin - aptitude_0.4.11.10-1.dsc
 d5f2bfd38f829bf770f760cd51c0e84d 6204103 admin - aptitude_0.4.11.10.orig.tar.gz
 314eaeee4f0c857b497fc28ffb1a1bfd 35554 admin - aptitude_0.4.11.10-1.diff.gz
 05bdfccf7d4a41d805c1b81750fb0bce 379386 doc optional aptitude-doc-cs_0.4.11.10-1_all.deb
 1937184122bb8f017bd27b51540bb1c4 363408 doc optional aptitude-doc-en_0.4.11.10-1_all.deb
 2c30a88758e83d6c48428ecbbb6d7bc3 271250 doc optional aptitude-doc-fi_0.4.11.10-1_all.deb
 1b38eaad7ce64f831cabedaa303e236b 311768 doc optional aptitude-doc-fr_0.4.11.10-1_all.deb
 905e0721f053eb3f1da49ed52cebe29b 374182 doc optional aptitude-doc-ja_0.4.11.10-1_all.deb
 9ccb9daa4f07d218290d95e4ff0b48a2 2986100 admin important aptitude_0.4.11.10-1_i386.deb
 1c7cb95207429473cfccfde8fab6232b 5910692 devel extra aptitude-dbg_0.4.11.10-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjCE6MACgkQch6xsM7kSXg9DgCgumRkEhn6+cZyojo3VWYavUUJ
zrwAnjvyaOPBkf2xx1eQKX3Lc1SLbrmM
=CL4W
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 15 Oct 2008 07:28:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:07:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.